/*
Docsy project style overrides in: assets/scss/_styles_project.scss
*/

// project styles

.arch-layer {

    border-radius: 16px;
    padding: 8px 0px;
    margin: 8px 0px;

    &-purple {
        background-color: #BB8FCE;
    }

    &-yellow {
        background-color: #F9E79F;
    }

    &-blue {
        background-color: #AED6F1;
    }

    &-green {
        background-color: #A9DFBF;
    }

}

.capability {

    border-radius: 16px;
    // width: 100%;
    // padding: auto;
    // margin: 0px auto;

    h1 {
        font-size: large;
        font-weight: bold;
    }

    &-root {
        background-color: $capability-root;
    }

    &-governance {

        background-color: $capability-governance;
        text-align: center;
        margin: auto 0px;

        &-part {
            background-color: $capability-governance-part;
        }
    }

    &-interop {

        background-color: $capability-interop;
        text-align: center;
        margin: auto 0px;

        &-part {
            background-color: $capability-interop-part;
        }
    }

    &-vertrouwen {

        background-color: $capability-vertrouwen;
        text-align: center;
        margin: auto 0px;

        &-part {
            background-color: $capability-vertrouwen-part;
        }
    }

    &-datawaarde {

        background-color: $capability-datawaarde;
        text-align: center;
        margin: auto 0px;

        &-part {
            background-color: $capability-datawaarde-part;
        }
    }

    &-selected-true {
        background-color: $capability-selected;
    }

    &-icon {
        width: 4em;
    }

}

.status-badge {
    border: 1px solid rgba(0, 0, 0, 0.23);
    border-radius: 16px;
    padding: 4px 6px;
    color: #424242;
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
    white-space: nowrap;
    text-wrap: nowrap;
    text-transform: uppercase;
    height: 18px;
    font-size: 0.74rem;
    // font-weight: 500;
    vertical-align: text-bottom;
    justify-content: center;
}

.draft {
    color: #424242;
}

.proposed {
    color: #283593;
}

.rejected {
    color: #f07d59;
}

.accepted {
    color: #7cad7f;
}

.deprecated {
    color: #917168;
}

.superseded {
    color: #917168;
}

.stelselfunctie-blok {
    background-color: white;
    color: black;
    padding: 0.2em;
    margin: 1em;

    &-container {
        background-color: $ontwerp-blue-transparant;
    }

    &-header {
        padding: 1em 0.5em 0.5em 0.5em;
        background-color: $ontwerp-blue;
        color: white;
    }

}

.fds-icons {

    &-chat {
        &::after {
            content: url('/icons/chat.svg');
        }
    }

    &-linkedin {
        &::after {
            content: url('/icons/linkedin.svg');
        }
    }

}

.todo {
    padding: 0.5rem 1rem;
    background-color: rgba(57, 135, 12, 0.03);
    font-family: 'Courier New', Courier, monospace;
    color: #4a5547;
    margin-bottom: 0.3rem;
}

// project style overrides
.lead p {
    text-align: left;
}

.pageinfo {
    margin: 2rem 2rem 2rem 1rem;

    @include media-breakpoint-up(lg) {
        max-width: 78%;
    }
}

// .td-sidebar-toc {
//     overflow-y: hidden;
// }


// Style the Lunr.js search results
// Note: translation is done using CSS, since the included file https://github.com/google/docsy/blob/main/assets/js/offline-search.js cannot be easily modified
.td-offline-search-results>.popover-body>div {
    >div:nth-child(1) {
        &::before {
            content: 'Zoekresultaten';
        }

        >span:nth-child(1) {
            display: none;
        }
    }

    >div:nth-child(2) {
        &:has(>p)::before {
            content: 'Geen resultaten gevonden voor deze zoekterm.';
        }

        >p {
            display: none;
        }

        div {
            margin-top: 1rem !important;

            &:not(:last-child) {
                border-bottom: 1px solid var(--bs-border-color);
            }
        }

        small {
            display: none !important; // Hide the relative URLs
        }

        // Uncomment lines below to change the color of the search result links
        // a {
        //     color: $india-green;

        //     &:hover {
        //         color: #285e08;
        //     }
        // }
    }
}

a:link {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

a:active {
    text-decoration: none;
}

.td-footer__all_rights_reserved {
    display: inline;
}